Subject: Re: [apps-discuss] I-D Action: draft-ietf-appsawg-xml-mediatypes-05.txt

From: [email-masked] (Henry S. Thompson)
Date: Wed, 04 Dec 2013 12:22:50 +0000

Martin J. Dürst writes:

> This is quite a good start, but has some inaccuracies (and loses the
> distinction between "the UTF-16 family" and "utf-16" in the text
> above, which is quite relevant (because of the special treatment that
> that XML gives "utf-16").

In fact the spec doesn't use the distinction properly, and mostly says
UTF-16 when it means the UTF-16 family, what the UNICODE spec calls
the UTF-16 encoding form, I think.

> Also, both CCS and CES are used for a single character encoding. XML
> does not have a single CCS, but a single 'document character set'. So
> I don't think any text about CCS or CES is needed.

OK

> So I have tried a re-write, but I'm not totally sure this will work
> for all of the document. Please check.

Thanks!  I'll mostly use this, modulo the above about family.

ht

[oops, this has been sitting in my outbox for days :-[
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]